# frozen_string_literal: true

class CreateUxToolkitTextSnippets < ActiveRecord::Migration[6.1]
  def change
    create_table :ux_toolkit_text_snippets do |t|
      t.string :title, null: false
      t.text :snippet_text, null: false
      t.boolean :enabled, null: false, default: true
      t.integer :position, null: false, default: 1
      t.timestamps
    end

    add_index :ux_toolkit_text_snippets, :title
    add_index :ux_toolkit_text_snippets, :enabled
    add_index :ux_toolkit_text_snippets, :position
  end
end
